package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 证照发放表
 * @return:
 */
public class NascCertificateSend {

    /** 证照发放表主键 */
    private Long id;

    /** 证照关联表 */
    private Long certId;

    /** 发放人 */
    private Long sendUser;

    /** 打印人 */
    private Long printUser;

    /** 证照状态 0 未发放 1 已发放 */
    private Long certStatus;

    /** 条形码编号 */
    private Long serialNumber;

    /** 打印时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    /** 发放时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCertId() {
        return certId;
    }

    public void setCertId(Long certId) {
        this.certId = certId;
    }

    public Long getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Long serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Long getSendUser() {
        return sendUser;
    }

    public void setSendUser(Long sendUser) {
        this.sendUser = sendUser;
    }

    public Long getPrintUser() {
        return printUser;
    }

    public void setPrintUser(Long printUser) {
        this.printUser = printUser;
    }

    public Long getCertStatus() {
        return certStatus;
    }

    public void setCertStatus(Long certStatus) {
        this.certStatus = certStatus;
    }

    public Date getPrintTime() {
        return printTime;
    }

    public void setPrintTime(Date printTime) {
        this.printTime = printTime;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }
}
